#if !defined(KMODALDEMODIALOG)
#define KMODALDEMODIALOG

#include <kdialogbase.h>
#include <qvbuttongroup.h>
#include <qcheckbox.h>
#include <kcolorbutton.h>
#include <kcombobox.h>
#include <keditcl.h>
#include <knuminput.h>
#include <kdatepik.h>
#include <klineedit.h>
#include <klistbox.h>

class KModalDemoDialog :
public KDialogBase
{
	Q_OBJECT

	public:
	KModalDemoDialog(QWidget* parent);
	virtual ~KModalDemoDialog();
	
	QCheckBox* checkOutline;
	QVButtonGroup* groupLinewidth;
	QCheckBox* checkFill;
	KColorButton* fillColorButton;
	KColorButton* outlineColorButton;
	KComboBox* combo;
	KDatePicker* date;
	KLineEdit* lineEdit;
	KIntSpinBox* spin;
	KEdit* edit;
	KListBox* listBox;

	private slots:
	void outlineOnOff(int state);
	void showSelection();
};

#endif
