#if !defined(KDEMOWINDOW)
#define KDEMOWINDOW

#include <kmainwindow.h>
#include <qcolor.h>
#include "knonmodaldemodialog.h"

class KDemoWindow :
public KMainWindow
{
	Q_OBJECT

	public:
	KDemoWindow();
	virtual ~KDemoWindow();

	private slots: 
	void openModalDialog();
	void openNonModalDialog();
	void enableMenuEntry();
	void readNewPosition(int pos);

	protected:
	void paintEvent (QPaintEvent *dummy);
	
	private:
	KAction* openNonModalDialogAction;
	bool hasOutline;
	int linewidthCode;
	bool hasFill;
	QColor outlineColor;
	QColor fillColor;
	KNonModalDemoDialog* nonModalDemo;
	int position;
};

#endif
