#include "knonmodaldemodialog.moc"
#include <qlayout.h>
#include <qlabel.h>

KNonModalDemoDialog :: KNonModalDemoDialog (QWidget* parent) :
KDialogBase(KDialogBase::Plain, "Nichtmodaler Demodialog", KDialogBase::Apply | KDialogBase::Close,
	KDialogBase::Apply, parent, "Nichtmodaler Demodialog", false /*nichtmodal*/, false)
{
	QHBoxLayout* sliderLayout = new QHBoxLayout(plainPage(), 0, spacingHint());
	QLabel* theLabel = new QLabel("Verschiebung", plainPage());
	sliderLayout->addWidget(theLabel);
	theSlider = new QSlider(-42, 42, 10, 0, Qt::Horizontal, plainPage());
	sliderLayout->addWidget(theSlider);

	connect(this, SIGNAL(applyClicked()), this, SLOT(sendNewPosition()));
}

KNonModalDemoDialog :: ~KNonModalDemoDialog ()
{
}

void KNonModalDemoDialog :: sendNewPosition()
{
	emit newPosition(theSlider->value());
}

